Subject: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 May 2016 20:31:27 +0300

> From: Uwe Brauer <[email-masked]>
> Cc: Dmitry Gutov <[email-masked]>, [email-masked],
> 	[email-masked]
> Date: Mon, 23 May 2016 17:00:53 +0000
> 
> I thought the problem was caused by the fact that I did not entered that
> chars, but rather copied it from some tex.stackexchange site, but I see
> that was not the reason.
> 
> What is about mercurial?[1]

No clue, sorry.  I don't use it and don't know anything about it.
The man page says "hg diff --text" might do what you want.

>    > Bottom line: users who put UTF-16 encoded files into VCS are playing
>    > with fire, and are best advised not to do that!
> 
> Right, I see, that was just 2 chars in a document which contained
> latin-1 or UTF8. So Chinese and Japanese programmers are in a
> disadvantage, no?

Why?  UTF-8 supports Chinese just fine.